Bug 825382 - [abrt] rabbitvcs-core- subprocess.py:1249:_execute_child:TypeError: execv() arg 2 must contain only strings
[abrt] rabbitvcs-core- subprocess.py:1249:_execute_child:Type...
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-05-25 16:29 EDT by randyhunt1981
Modified: 2013-02-13 14:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-02-13 14:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
File: smolt_data (6.00 KB, text/plain)
2012-05-25 16:29 EDT, randyhunt1981
no flags Details

  None (edit)
Description randyhunt1981 2012-05-25 16:29:01 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/branches.py /home/rhunt/workspace/es_web
comment:        went to create a new local branch, got this error
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/branches.py
kernel:         3.3.6-3.fc16.x86_64
reason:         subprocess.py:1249:_execute_child:TypeError: execv() arg 2 must contain only strings
time:           Fri 25 May 2012 02:18:15 PM MDT
uid:            1000
username:       rhunt

smolt_data:     Text file, 6142 bytes

:subprocess.py:1249:_execute_child:TypeError: execv() arg 2 must contain only strings
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/branches.py", line 225, in on_save_clicked
:    self.git.branch(branch_name, revision=start_point)
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/git/__init__.py", line 375, in branch
:    return self.client.branch(name, revision.primitive(), track)
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/git/gittyup/client.py", line 590, in branch
:    (status, stdout, stderr) = GittyupCommand(cmd, cwd=self.repo.path, notify=self.notify, cancel=self.get_cancel).execute()
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/vcs/git/gittyup/command.py", line 48, in execute
:    close_fds=True)
:  File "/usr/lib64/python2.7/subprocess.py", line 679, in __init__
:    errread, errwrite)
:  File "/usr/lib64/python2.7/subprocess.py", line 1249, in _execute_child
:    raise child_exception
:TypeError: execv() arg 2 must contain only strings
:Local variables in innermost frame:
:errread: None
:c2pread: 35
:gc_was_enabled: True
:errwrite: 39
:shell: False
:errpipe_write: 47
:executable: 'git'
:close_fds: True
:self: <subprocess.Popen object at 0x2660a50>
:env: None
:cwd: '/home/rhunt/workspace/es_web'
:child_exception: TypeError('execv() arg 2 must contain only strings',)
:args: ['git', 'branch', 'degree_worksheets', None]
:fd: None
:c2pwrite: 39
:data: 'cexceptions\nTypeError\np0\n(S\'execv() arg 2 must contain only strings\'\np1\ntp2\nRp3\n(dp4\nS\'child_traceback\'\np5\nS\'Traceback (most recent call last):\\n  File "/usr/lib64/python2.7/subprocess.py", line 1201, in _execute_child\\n    os.execvp(executable, args)\\n  File "/usr/lib64/python2.7/os.py", line 344, in execvp\\n    _execvpe(file, args)\\n  File "/usr/lib64/python2.7/os.py", line 380, in _execvpe\\n    func(fullname, *argrest)\\nTypeError: execv() arg 2 must contain only strings\\n\'\np6\nsb.'
:creationflags: 0
:errpipe_read: 42
:preexec_fn: None
:p2cread: None
:startupinfo: None
:p2cwrite: None
:universal_newlines: False
Comment 1 randyhunt1981 2012-05-25 16:29:04 EDT
Created attachment 586948 [details]
File: smolt_data
Comment 2 Fedora End Of Life 2013-01-16 11:15:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Fedora End Of Life 2013-02-13 14:43:36 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.